Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041559
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-08-06 12:302019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision669caf6b5da0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041559: Remove widget: "Openbravo Technical Training Listings" as content is identical to other widget "Openbravo Education Listings"

DescriptionThe widget "Openbravo Technical Training Listings" is in practice obsolete and should be removed.

Why?
Since years the content shown behind this Technical Training widget is identical to the one shown by the other widget "Openbravo Education Listings".

Checking with OB training team decision is that we only want to maintain the other widget.

Removal is similar to issue 41346 but simpler as no local files are present only widget itself.

Reminder that widget_class removal implies similar extra work then in 41346 (all sampledata having _ACCESS rows, also MyOBData.xml again, ...)

Notes:
- The remote content html file present in butler server should be kept (as still used by instance not updates to having the widget removed)
- The other widget 'Openbravo Education Listings' should NOT be removed and stay as is.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041346 closedcberner Remove Getting Started widget (half-not working and outdated) 
related to defect 0041640 closedcberner API Change: Technical Training widget has been removed 

-  Notes
(0114068)
hgbot (developer)
2019-08-19 11:15

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: ba94bcf046108cb1c36562cc14c8f7e18fd507e1
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Aug 13 09:44:18 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/ba94bcf046108cb1c36562cc14c8f7e18fd507e1 [^]

related with issue 41559: Removes references to Technical Training widget

---
M referencedata/sampledata/The_White_Valley_Group/OBKMO_WIDGET_CLASS_ACCESS.xml
---
(0114069)
hgbot (developer)
2019-08-19 11:16

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 601041707c99661d75050f48f02eab9fd59b508a
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Aug 13 09:46:30 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/601041707c99661d75050f48f02eab9fd59b508a [^]

related with issue 41559: Removes references to Technical Training widget

---
M referencedata/sampledata/Retail_Test/OBKMO_WIDGET_CLASS_ACCESS.xml
---
(0114070)
hgbot (developer)
2019-08-19 11:17

Repository: erp/mods/org.openbravo.client.myob.es_ES
Changeset: 0927ce2870a883ad9874972982241e92b4a9ace0
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Aug 13 10:08:43 2019 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.myob.es_ES/rev/0927ce2870a883ad9874972982241e92b4a9ace0 [^]

related with issue 41559: Removes references to Technical Training widget

---
M referencedata/translation/es_ES/OBKMO_WIDGET_CLASS_TRL_es_ES.xml
---
(0114071)
hgbot (developer)
2019-08-19 11:17

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: 55a1b9c8e32cb1003cccdcc56538e3c365d92b71
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Aug 13 10:10:52 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/55a1b9c8e32cb1003cccdcc56538e3c365d92b71 [^]

related with issue 41559: Removes references to Technical Training widget

---
M referencedata/sampledata/AWO_QA/OBKMO_WIDGET_CLASS_ACCESS.xml
---
(0114072)
hgbot (developer)
2019-08-19 11:18

Repository: erp/devel/pi
Changeset: 669caf6b5da07cb8d7f5241d5ab808dd593cfbd6
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Aug 13 10:17:06 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/669caf6b5da07cb8d7f5241d5ab808dd593cfbd6 [^]

fixes issue 41559: Removes Technical Training widget

Removed Technical Training widget and all references to it from sourcedata.
Widget_URL referencing it have been removed too.

---
M modules/org.openbravo.client.myob/referencedata/standard/MyOBData.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_DATASET.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/OBKMO_WIDGET_CLASS.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/OBKMO_WIDGET_URL.xml
M referencedata/sampledata/F_B_International_Group/OBKMO_WIDGET_CLASS_ACCESS.xml
M referencedata/sampledata/QA_Testing/OBKMO_WIDGET_CLASS_ACCESS.xml
---
(0114087)
AugustoMauch (developer)
2019-08-19 13:09

Code reviewed and verified
(0114227)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-08-06 12:30 shuehner New Issue
2019-08-06 12:30 shuehner Assigned To => platform
2019-08-06 12:30 shuehner Modules => Core
2019-08-06 12:30 shuehner Triggers an Emergency Pack => No
2019-08-06 12:30 shuehner Relationship added related to 0041346
2019-08-06 12:32 shuehner Description Updated View Revisions
2019-08-12 09:57 AugustoMauch Assigned To platform => cberner
2019-08-13 10:03 cberner Status new => scheduled
2019-08-13 10:39 cberner Relationship added related to 0041640
2019-08-13 12:59 cberner Review Assigned To => AugustoMauch
2019-08-19 11:15 hgbot Checkin
2019-08-19 11:15 hgbot Note Added: 0114068
2019-08-19 11:16 hgbot Checkin
2019-08-19 11:16 hgbot Note Added: 0114069
2019-08-19 11:17 hgbot Checkin
2019-08-19 11:17 hgbot Note Added: 0114070
2019-08-19 11:17 hgbot Checkin
2019-08-19 11:17 hgbot Note Added: 0114071
2019-08-19 11:18 hgbot Checkin
2019-08-19 11:18 hgbot Note Added: 0114072
2019-08-19 11:18 hgbot Status scheduled => resolved
2019-08-19 11:18 hgbot Resolution open => fixed
2019-08-19 11:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/669caf6b5da07cb8d7f5241d5ab808dd593cfbd6 [^]
2019-08-19 13:09 AugustoMauch Note Added: 0114087
2019-08-19 13:09 AugustoMauch Status resolved => closed
2019-08-19 13:09 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114227


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker